/*
**  AddressComboBox.m
**
**  Copyright (c) 2002, 2003
**
**  Author: Ujwal S. Sathyam <ujwal@setlurgroup.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "AddressComboBox.h"
#include "Constants.h"

@implementation AddressComboBox

- (void) dealloc
{
  TEST_RELEASE(addressString);
  
  [super dealloc];
}


- (NSString *) addressString
{
  return addressString;
}


- (void) setAddressString: (NSString *) aString
{
  if ( aString )
    {
      RETAIN(aString);
      RELEASE(addressString);
      addressString = aString;
    }
  else
    {
      DESTROY(addressString);
    }
}

@end
